ChiliProject - Feature # 116: Mobile CSS

Status: Open Priority: Low

Author: Tim Felgentreff Category: Themes
Created: 2011-02-01 Assignee: Tim Felgentreff
Updated: 2012-07-22 Due date:

Remote issue URL:

Affected version:

Description: | have created some JS and CSS rules that only apply to mobile user agents, so they could be included with
the default theme without changing anything for the desktop user. Regular mobile users (like me) would
benefit from a tighter presentation more suited to small screens.

History

2011-02-01 06:51 am - Tim Felgentreff
- File application.css added

- File issues.png added

- File activity.png added

- File mobile.js added

| attached some pictures to show how the rules look when applied to the old default theme.

2011-02-01 07:08 am - Eric Davis
Tim:

Could we wait until the 2.0.0 release for a mobile skin? | want to redo the layout at that time, which will affect all of the CSS.

2011-02-01 07:09 am - Tim Felgentreff
- Target version deleted (1.1.0 &€” Bell)

Eric Davis wrote:
> Tim:
>

> Could we wait until the 2.0.0 release for a mobile skin? | want to redo the layout at that time, which will affect all of the CSS.

Sure, just wanted to have it noted.

2011-02-01 07:18 am - Eric Davis

Thanks. | started on a mobile CSS/JS plugin a long time ago, we could probably put this into there for now. It would be a good way to test out the code

before it's included in the main repository.

2011-02-01 10:47 am - Tim Felgentreff
Well, it's really just a theme, no need to wrap it in a plugin.

2011-02-01 10:49 pm - Felix Schéafer

- Status set to Open

2011-02-11 04:02 pm - Wieland Lindenthal
- Tracker changed from Bug to Feature

Hi Tim,

| tried your plugin from github (https://github.com/finnlabs/redmine_mobile_css). | like your approach as it integrates in a very light way. Further | like

that you push this feature in general. | always disliked using chiliproject on my android. Thumbs up!

Here is some feedback. | hope you do not mind:

* | was not able to discover the top menu (Home, My page, ...) although it is there.
* | was not able to discover the account part of the top menu (Logut, My account, ...) although it is ther.

* | was not able to discover the filters within the issues view although it is there.

| sketched a wireframe using Pidoco proposing a layout that makes all three points discoverable.

* Top Menu is in a simple select box in the left upper corner.

* The account part of the top menu is on the right upper corner.

* The filter can be unhidden by clicking on "+ Query".

* Further | proposed a different way to sort the issues. You simply select the issue attribute you want to select on within a select box. This makes the
layout stretch less horizontally and respectively the font less small.

* | find the issue ID rather overrepresented. A normal user sometimes needs the ID but almost always needs the title. Therefore | think the title should

become more prominent.

Just click the following link to see the wireframe. Enter your name. Then you can add your comments and feedback directly on the wireframe.

https://pidoco.com/rabbit/invitation/eKAORVHTIi3vITRjrWNSBvVXATd7hiskgvZV6BSJ

Regards
Wieland

2012-07-22 11:03 pm - TomAjA; Jukin
What is a status of this? It would be wonderful to have it on an iPhone;-)...

Files

mobile.js 8.9 kB 2011-02-01 Tim Felgentreff
application.css 3 kB 2011-02-01 Tim Felgentreff
issues.png 40.1 kB 2011-02-01 Tim Felgentreff
activity.png 49.1 kB 2011-02-01 Tim Felgentreff
